@charset "utf-8";

body,
ul,
ol,
h1,
h2,
h3,
h4,
h5,
h6,
p,
dl,
dd,
figure {
    margin: 0;
    padding: 0;
    list-style: none;
}

img {
    vertical-align: bottom;
}

a {
    text-decoration: none;
}

address {
    font-style: normal;
}

* {
    box-sizing: border-box;
}

.f-1 {
    font-family: "Patrick Hand SC", cursive;
    font-weight: 400;
    font-style: normal;
}

.f-2 {
    font-family: "Germania One", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.f-3 {
    font-family: "Kiwi Maru", sans-serif;
}

.bg-1 {
    background-color: #dee0d7;
}

body {
    font-size: 16px;
    line-height: 1;
    background: url(../images/bg_900x600.png) center center / 48% repeat fixed;
}

.frame {
    width: 96%;
    max-width: 898px;
    min-width: 390px;
    margin: 0 auto;
    position: relative;
    opacity: 0;
}

.frame::before,
.frame::after {
    content: "";
    display: block;
    width: 12px;
    height: 100%;
    background: url(../images/frame.svg) center center / 12px repeat-y;
    position: absolute;
    top: 0;
    z-index: 1;
}

.frame::before {
    left: 0;
    transform: rotate(180deg);
}

.frame::after {
    right: 0;
}

.wrap {
    width: calc(100% - 24px);
    max-width: 874px;
    padding: 24px;
    margin: 0 auto;
    position: relative;
}

@media screen and (max-width:768px) {

    body {
        background: none;
    }

    .frame {
        width: 100%;
    }

    .frame::before,
    .frame::after {
        content: none;
    }

    .wrap {
        width: 100%;
        padding: 0;
    }
}

.wrap::before,
.wrap::after {
    content: "";
    display: block;
    width: 80px;
    height: 100%;
    position: absolute;
    top: 0;
    background: url(../images/message.svg) top center repeat-y;
    animation: message-anm 20s linear infinite;
}

.wrap::before {
    right: -90px;
}

.wrap::after {
    left: -90px;
    transform: rotate(180deg);
}

@keyframes message-anm {
    0% {
        background-position: 0 0;
    }

    100% {
        background-position: 0 -900px;
    }
}

@media screen and (max-width:1079px) {

    .wrap::before,
    .wrap::after {
        content: none;
    }
}

.flex {
    display: flex;
}

.grid {
    display: grid;
}

header {
    border-bottom: 2px solid #000;
    margin-bottom: 40px;
}

header .flex {
    align-items: flex-start;
}

header .logo {
    width: 26%;
    height: auto;
    min-width: 160px;
    aspect-ratio: 4/3;
    border-radius: 50%;
    overflow: hidden;
    border: 3px solid #000;
    position: relative;
}

header .logo img {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 120%;
    height: auto;
}

header .sub-title {
    width: 74%;
    font-size: clamp(16px, 4.9vw, 47px);
    border-bottom: 2px solid #000;
    text-align: left;
    padding: 2% 0 3% 5%;
}

header .sub-title .lover {
    display: block;
    font-size: clamp(18px, 3.2vw, 28px);
    margin-top: 9px;
}


header .sub-title .and {
    font-size: 0.8em;
}

header dl {
    gap: 0.7em;
    width: 74%;
    margin: -1.8% 0 1.8% auto;
}

header dl dt {
    font-size: clamp(12px, 1.9vw, 20px);
}

header dl dt::after {
    content: ">>>";
    display: inline-block;
    font-size: clamp(10px, 0.9em, 20px);
    margin-left: 0.8em;
    vertical-align: 2%;
}

header dl dd {
    line-height: 1.4;
    font-size: 14px;
    font-size: 1.4vw;
    font-size: clamp(12px, 1.38vw, 14px);
}

header dl dd a {
    color: inherit;
}

header dl dd a:hover {
    text-decoration: underline;
}

header dl dd a span {
    display: none;
}

.sp-header{
    display: none;
}

@media screen and (min-width:768px){
    .toShop{
        display: none;
    }
}


@media screen and (max-width:768px) {
    header {
        background: url(../images/bg_900x600.png) center center / 80% repeat fixed;
        margin-bottom: 20px;
    }

    header .flex {
        align-items: center;
    }

    header>div {
        position: relative;
        padding: 12px 12px 30px;
    }

    header .sub-title {
        width: 76%;
        color: #dee0d7;
        text-shadow: 0 0 4px #000, 0 0 4px #000;
        letter-spacing: 0.05em;
        padding-left: 3%;
        padding-bottom: 0;
        padding: 0 0 0 3%;
        border: none;
    }

    header .logo {
        width: 24%;
        min-width: 80px;
        border-width: 2px;
    }

    header dl {
        position: absolute;
        width: 96%;
        background-color: #000;
        padding: 8px 12px;
        border-radius: 15px 0 0 15px;
        right: 0;
        bottom: -26px;
        color: #dee0d7;
    }

    header dl dt {
        min-width: max-content;
    }

    header dl dd {
        width: calc(100% - 90px);
        overflow: hidden;
    }

    header dl dd a {
        display: block;
        width: max-content;
        position: relative;
        left: 0;
        animation: news-anim 20s linear infinite;
    }

    header dl dd a span {
        margin-left: 5em;
        display: inline;
    }


    header dl dd a:hover {
        animation-play-state: paused;
    }

    @keyframes news-anim {
        0% {
            left: 0;
        }

        100% {
            left: -250%;
        }
    }

    main {
        padding: 16px 16px 10%;
        position: relative;
    }

    .toShop{
        position: absolute;
        top: -50px;
        right: 10px;
        width: 26%;
    }

    .toShop .box{
        background: #000;
        padding: 2px;
        border-radius: 11px;
        position: relative;

    }

    @keyframes flicker {
        /* ついたり消えたりを不規則っぽく */
        0%, 18%, 22%, 25%, 28%,40%,44%, 57%, 70%,100% {
          opacity: 1;
          filter:
            brightness(1.4)
            drop-shadow(0 0 3px #ffae00)
            drop-shadow(0 0 6px #ffae00);
        }
        19%, 24%,26%,48%,56%,58% {
          opacity: 0.8;
          filter:
            brightness(0.8)
            drop-shadow(0 0 2px #ffae00);
        }
      }

    .toShop .box img{
        max-width: 100%;
        height: auto;
        animation: flicker 2.3s infinite;
    }

    .toShop p{
        color: #dee0d7;
        text-align: center;
        background: #000;
        margin: 5% auto 0;
        padding: 6px 12px;
        border-radius: 14px;
        width: 70%;
        position: relative;
        font-size: 2.4vw;
    }

    .toShop p::before,
    .toShop p::after{
        content: "";
        display: block;
        width: 6%;
        height: 12px;
        background-color: #000;
        position: absolute;
        top: -34%;
    }
    .toShop p::before{
        left: 10%;
    }
    .toShop p::after{
        right: 10%;
    }


    .sp-header{
        display: flex;
        justify-content: space-between;
        background: linear-gradient(#89dd00 30%,rgba(137, 221, 0, 0.9) 50%,transparent);
        position: fixed;
        width: 100%;
        height: 90px;
        top:0;
        left:0;
        z-index: 5;
        padding: 10px 6% 0 3%;
    }

    .spider-anker{
        position: relative;
    }

    .spider-container{
        position: absolute;
        right: 15%;
    }

    @keyframes kumochan{
        0%   { height: 80px; }
        30%  { height: 120px; }   /* 一気に伸びる */
        50%  { height: 60px; }    /* 反動で縮む */
        70%  { height: 100px; }    /* もう一度伸びる（減衰） */
        90%  { height: 75px; }    /* 微調整 */
        100% { height: 80px; }    /* 安定 */
    }

    .spider-wrap{
        height: 80px;
        width: 2px;
        position: relative;
        background: #000;
        transition: top 1s;
    }

    .spider-wrap.bounce{
        animation: kumochan 0.6s ease-out forwards;
    }

    .spider{
        position: absolute;
        bottom: -40px;
        width: 50px;
        left: -20px;
    }


    .sp-menu-wrap{
        position: fixed;
        right: 3%;
        width: 30%;
        top: -177px;
        transition: top 0.5s ease; 
    }

    .sp-menu-wrap.open{
        top: 0;
    }

    .sp-menu{
        background-color: #000;
        padding: 10%;
        border-radius: 0 0 16px 16px;
        outline: 1px solid #89dd00;
    }

    .sp-menu li{
        line-height: 2;
        border-bottom: 1px solid #777;
    }

    .sp-menu li:first-of-type{
        border-top: 1px solid #777;
    }

    .sp-menu li a{
        color: #dee0d7;
        letter-spacing: 0.08em;
        display: block;
    }

    .sp-menu li a:hover{
        color: #89dd00;
    }

    .sp-header p{
        width: 20%;
    }

    .sp-header img{
        max-width: 100%;
        height: auto;
    }
}

@media screen and (max-width:500px){
    .sp-header .oi{
        font-size: 0.9em;
    }
}

main .flex {
    margin-bottom: 20px;
    justify-content: space-between;
    align-items: flex-start;
}

main .first {
    padding-bottom: 30px;
}

.first .grid {
    width: 100%;
    grid-template-columns: 29% 69%;
    grid-template-rows: 42% 32% 14% 12%;
    gap: 0 2%;
}

.first .item-1 {
    grid-column: 1/2;
    grid-row: 1/2;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.first .item-2 {
    grid-column: 1/2;
    grid-row: 2/3;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.first .item-3 {
    grid-column: 1/2;
    grid-row: 3/4;
}

.first .item-4 {
    grid-column: 2/3;
    grid-row: 1/5;
    aspect-ratio: 2/3;

}

@media screen and (max-width:768px) {

    main .first {
        padding-bottom: 12%;
    }

    .first .grid {
        width: 100%;
        grid-template-columns: 100%;
        grid-template-rows: auto auto auto;
        position: relative;
        padding-top: 3%;
    }

    .first .item-1 {
        grid-column: 1/2;
        grid-row: 1/2;

    }

    .first .item-2 {
        grid-column: 1/2;
        grid-row: 3/4;
    }

    .first .item-3 {
        grid-column: 1/2;
        grid-row: 4/5;
    }

    .first .item-4 {
        grid-column: 1/2;
        grid-row: 2/3;
        aspect-ratio: 2/3;

    }

}

.mv {
    background: url(../images/mv_1500x2250.png) center center / contain no-repeat;
    mix-blend-mode: multiply;
}

nav {
    text-align: center;
    padding-top: 5%;
}

nav ul li {
    position: relative;
    width: 80%;
    max-width: 140px;
    margin: 0 auto;
    letter-spacing: 0.08em;
}

nav ul li a {
    padding: 0.5em;
    font-size: clamp(14px, 3.6vw, 34px);
    color: #dee0d7;
    display: block;
    width: 100%;
    border: 2px solid #dee0d7;
    outline: 4px solid #000;
    background-color: #000;
    margin-bottom: 36%;
    transition: all .3s;
}

nav li a span {
    display: block;
    font-size: 42px;
    font-size: 1.4em;
}

nav .ab a {
    transform: rotate(-8deg);
    position: relative;
    z-index: 1;
}

nav .ab {
    position: relative;
}

nav .ab::after {
    content: "";
    display: block;
    background-color: #afb1a9;
    border: 3px solid #000;
    width: 100%;
    height: 100%;
    transform: rotate(4deg);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
}

nav .os a {
    transform: rotate(8deg);
    position: relative;
    z-index: 1;
}

nav .os a~span {
    background-color: #dee0d7;
    font-size: clamp(8px, 1.6vw, 14px);
    width: max-content;
    display: block;
    position: absolute;
    top: -7%;
    z-index: 2;
    transform: rotate(-20deg) translateX(0);
    left: -20%;
    padding: 6px;
    border: 2px solid #000;
    transition: all 0.3s;
}

nav .os {
    position: relative;
}

nav .os::after {
    content: "";
    display: block;
    background-color: #afb1a9;
    border: 3px solid #000;
    width: 100%;
    height: 100%;
    transform: rotate(-4deg);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
}

nav a:hover {
    color: #89dd00;
    border: 2px solid #89dd00;
}

nav .ab a:hover {
    transform: rotate(-12deg);
}

nav .os a:hover {
    transform: rotate(12deg);
}

nav .os a:hover~span {
    background-color: #89dd00;
    transform: rotate(-24deg) translateX(0) scale(1.05);
}

.sns {
    width: 80%;
    min-width: 156px;
    margin: 0 auto 30%;
    padding-top: 20%;
    border-top: 2px solid #000;
    text-align: center;
}

.sns .lead {
    font-size: 14px;
    font-size: clamp(12px, 1.46vw, 14px);
    line-height: 1.5;
    margin-bottom: 20px;
}

.sns .lead span {
    display: block;
}

.sns .lead .fm{
    font-size: 1.5em;
    letter-spacing: 0.05em;
}

.sns .flex {
    justify-content: center;
    align-items: center;
    gap: 30px;
    margin-bottom: 20px;
}


.sns .un {
    text-align: center;
    font-size: clamp(20px, 2.6vw, 24px);
}

@media screen and (max-width:768px) {

    .mv {
        width: 74%;
        margin-bottom: 10%;
        position: relative;
    }

    .mv::after{
        content: "";
        display: block;
        width: 20%;
        height:48%;
        background: url(../images/scroll.png) center center / 100% no-repeat; 
        position: absolute;
        bottom:0;
        right:-26%;
        animation: scroll 2s linear infinite;
    }

    @keyframes scroll {
        0% {
            transform: translateY(-3%);
        }

        50% {
            transform: translateY(3%);
        }

        100% {
            transform: translateY(-3%);
        }
    }

    nav {
        padding-bottom: 10%;
        position: absolute;
        right: 16px;
        top: 24px;
    }

    nav ul li {
        width: 100%;
    }

    nav ul li a {
        margin-bottom: 60%;
    }

    .sns {
        width: 96%;
        min-width: auto;
        padding-top: 10%;
        margin-bottom: 14%;
    }

    .sns .lead {
        font-size: 18px;
    }

    .sns .un {
        font-size: 24px;
    }
}


.sns .un::before,
.sns .un::after {
    margin: 0 5px;
    vertical-align: -3px;
}

.sns .un::before {
    content: "(";
}

.sns .un::after {
    content: ")";
}

.sns img {
    transition: transform 0.3s;
}

.sns a:hover img {
    transform: scale(1.2);
}

.contact {
    border: 2px solid #000;
    border-radius: 12px;
    padding: 15% 6% 6% 6%;
    position: relative;
    width: 94%;
    min-width: 156px;
    margin: 0 auto;
}

.contact dt {
    text-align: center;
    font-size: clamp(30px, 3vw, 32px);
    position: absolute;
    top: -16px;
    left: 50%;
    transform: translateX(-50%);
    padding: 0 10px;
}

.contact dt span {
    font-size: clamp(12px, 1.4vw, 14px);
    display: block;
}

.contact dd {
    line-height: 1.5;
    text-align: justify;
    font-size: clamp(11px, 1.28vw, 14px);
}

@media screen and (max-width:768px) {
    .contact {
        padding-top: 36px;
        width: 60%;
        min-width: 300px;
    }

    .contact dd {
        font-size: 16px;
    }
}

.contact dd span {
    display: block;
}

.about-section {
    width: 100%;
    max-width: 760px;
    margin: 0 auto;
    text-align: center;
}

.about-section::before{
    content:"";
    display: block;
    width: 100%;
    height:97px;
    background:url(../images/star_line_1880x97.png) center center / contain no-repeat;

}

.about-section h2 {
    font-size: 40px;
    width: 96%;
    margin: 0 auto 30px;
    padding-top: 24px;
    letter-spacing: 2px;
}

.about-section .lead {
    line-height: 2;
    margin-bottom: 40px;
}

.about-section .lead img {
    vertical-align: -4px;
    margin-right: 3px;
}

.about-section span {
    display: block;
}

.about-section .pic {
    width: 96%;
    max-width: 640px;
    aspect-ratio: 3/1;
    margin: 0 auto 40px;
    border: 4px solid #000;
    background: url(../images/aboutme_1800x600.png) center center / 100% no-repeat;
    mix-blend-mode: multiply;
}

.profile {
    width: 96%;
    max-width: 380px;
    margin: 0 auto 56px;
}

.profile h3 {
    margin-bottom: 20px;
    font-size: 32px;
    letter-spacing: 2px;
}

.profile .flex {
    justify-content: center;
    text-align: left;
    align-items: center;
}

.profile dt {
    font-size: 24px;
    letter-spacing: 1px;
}

.profile dd {
    border-left: 2px solid #000;
    margin-left: 18px;
    padding-left: 18px;
    font-size: 14px;
    line-height: 2;
}

.message {
    width: 96%;
    max-width: 640px;
    margin: 0 auto 30px;
    border: 2px solid #000;
    padding: 40px 5% 0;
    position: relative;
    border-radius: 20px;
}

.message h3 {
    font-weight: 400;
    margin: 0 auto 20px;
    padding: 12px;
    width: max-content;
    background:#89dd00;
    position: absolute;
    top: -24px;
    left: 5%;
}

.message .box {
    width: 46%;
}

.message p {
    font-size: 14px;
    text-align: justify;
    margin-bottom: 1em;
    line-height: 1.5;
}

.message .ffs {
    font-feature-settings: "palt";
    display: inline;
}

.message .sign {
    text-align: right;
    font-size: clamp(12px, 4vw, 18px);
}

.message .more {
    display: none;
}


.about-section .logo{
    width: 30%;
    margin: 0 auto 30px;
}

.about-section .logo img{
    max-width: 100%;
    height: auto;
    cursor: pointer;
}


@media screen and (max-width:767px) {

    .about-section .logo{
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }

    .message {
        padding: 30px 5% 0;
        position: relative;
        border-radius: 0 20px 20px 0;
    }

    .message .flex {
        flex-direction: column;
        height: 420px;
        overflow-y: hidden;
        position: relative;
        transition: .3s;
    }

    .message .open {
        height: auto;
        padding-bottom: 40px;
    }

    .message .more {
        display: block;
        width: 100%;
        padding: 40px 0 25px;
        background: linear-gradient(transparent, #dee0d7 40%);
        position: absolute;
        left: 0;
        bottom: 0;
        border-radius: 0 0 20px 20px;
    }

    .message .open ~ .more {
        background: none;
    }

    .message .more span{
        display: inline;
        cursor: pointer;
        transition: letter-spacing .3s;
        text-decoration: underline;
    }

    .message span:hover{
        letter-spacing: 0.1em;
    }

    .message .more span::after {
        content: "↓";
        display: inline-block;
        animation: fuwafuwa 1.5s linear infinite;
    }

    @keyframes fuwafuwa {
        0% {
            transform: translateY(-2px);
        }

        50% {
            transform: translateY(2px);
        }

        100% {
            transform: translateY(-2px);
        }
    }

    .message .open~.more span::after {
        content: "↑";
    }

    .message .box {
        width: 100%;
    }

    .message h3 {
        position: absolute;
        top: -24px;
        left: -2px;
        z-index: 1;
        font-size: 0.9em;
        padding: 10px 20px 10px 5%;
    }

    .message p {
        font-size: 14px;
        text-align: justify;
        margin-bottom: 1.2em;
        line-height: 1.8;
    }

    .message .sign {
        margin-bottom: 0;
        text-align: left;
    }


    .about-section .pic {
        border-width: 3px;
    }

}

.onlineshop-section{
    width: 100%;
    max-width: 640px;
    margin: 0 auto;
    text-align: center;
}

.onlineshop-section .viewer{
    margin-bottom: 40px;
}

.onlineshop-section .viewer-wrap{
    position: relative;
}

.onlineshop-section .view{
    width: 70%;
    margin: 0 auto 30px;
    border: 2px solid #000;
    position: relative;
}

.onlineshop-section .caption{
    margin-bottom: 30px;
}

.onlineshop-section .viewer-wrap::before,
.onlineshop-section .viewer-wrap::after,
.onlineshop-section .view::before,
.onlineshop-section .view::after{
    content: "";
    display: block;
    width: 16vw;
    height: 16vw;
    max-width: 120px;
    max-height: 120px;
    min-width: 70px;
    min-height: 70px;
    background-color: red;
    position: absolute;
    z-index: 3;
}

.onlineshop-section .viewer-wrap::before{
    background: url(../images/net_l.png) center center / 100% no-repeat;
    left:-4%;
    top:-8%;
}

.onlineshop-section .viewer-wrap::after{
    background: url(../images/net_r.png) center center / 100% no-repeat;
    right: -4%;
    top: -8%;
}

.onlineshop-section .view::before{
    background: url(../images/net_r.png) center center / 100% no-repeat;
    left:-4%;
    bottom: -8%;
    transform: rotate(180deg);
}

.onlineshop-section .view::after{
    background: url(../images/net_l.png) center center / 100% no-repeat;
    right: -4%;
    bottom: -8%;
    transform: rotate(180deg);
}


.onlineshop-section .view .prev,
.onlineshop-section .view .next{
    position: absolute;
    display: block;
    width: 40px;
    line-height: 31px;
    background: #000;
    top: 50%;
    transform: translateY(-50%);
    font-size: 26px;
    border-radius: 20px;
    border: none;
    color: #89dd00;
    font-family: "Patrick Hand SC", cursive;
    padding-bottom: 8px;
}

.onlineshop-section .view .prev:active,
.onlineshop-section .view .next:active{
    color: #dee0d7;
}

.onlineshop-section .view .prev{
    left:-20px;
}

.onlineshop-section .view .off{
    background: #8d8d84;
    color: #afb0ac;
}

.onlineshop-section .view .off:active{
    color: #afb0ac;
}

/* ドラッグ&ドロップ保存防止 */
/* 
.onlineshop-section .view::before{
    content:"";
    display: block;
    width: 98%;
    height: 98%;
    position: absolute;
} */
.onlineshop-section .view .next{
    right:-20px;
}

.onlineshop-section .items img,
.onlineshop-section .view img{
    max-width: 100%;
    height: auto;
}

.onlineshop-section .items{
    width: 60%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    gap:4%;

}

.onlineshop-section .items div{
    width: 100%;
    border: 2px solid #dee0d7;

}

.onlineshop-section .items .current{
    outline: 2px solid #000;
}

.onlineshop-section h3{
    margin-bottom: 20px;
    font-size: 32px;
    letter-spacing: 2px;
}

.onlineshop-section h3::before,
.onlineshop-section h3::after{
    content: "▼";
    margin: 0 10px;
    font-size: 16px;
    vertical-align: 5px;
}

.onlineshop-section .banner{
    width: 50%;
    margin: 0 auto 30px;
}

.onlineshop-section .banner img{
    max-width: 100%;
    height: auto;
}

.bg{
    background-color: rgba(0, 0, 0,0.5);
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 6;
    left:0;
    top:0;
    display: none;
}

.alert{
    width: 280px;
    height: 120px;
    background-color: #dee0d7;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 7;
    border-radius: 16px;
    padding: 16px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border:2px solid #000;

}

.alert dt{
    margin-bottom: 20px;
}

.alert dt::after{
    content: ">>";
    margin-left: 5px;
}

.alert dd{
    display: flex;
    justify-content: center;
    gap:30px;
}

.alert .button a{
    display: block;
    line-height: 30px;
    padding: 0 20px;
    border-radius: 17px;
    letter-spacing: 0.05em;
    border:2px solid #000;
    outline: 2px solid #dee0d7;
    transition: outline .3s;
}

.alert .button a:hover{
    outline: 2px solid #89dd00;
}


.alert .no a{
    background-color: #000;
    color: #dee0d7;
}

.alert .yes a{
    background-color: #89dd00;
    color: #000;
}

footer .copy {
    text-align: right;
    display: flex;
    align-items: center;
}

footer .copy small {
    width: 210px;
}

footer .copy::before {
    content: "";
    display: inline-block;
    width: calc(100% - 210px);
    height: 2px;
    background-color: #000;
}

@media screen and (max-width:768px) {

    footer{
        background: url(../images/bg_900x600.png) center center / 80% repeat fixed;
        padding: 15% 0 5%;
        border-top: 2px solid #000;
    }
    footer::before {
        content: "";
        display: block;
        width: 100%;
        height: 80px;
        background: url(../images/message_x.svg) center center / 600px repeat-x;
        animation: footmesse 20s linear infinite;
    }

    @keyframes footmesse{
        0% {
            background-position: 0 0;
        }
    
        100% {
            background-position: -600px 0;
        }
    }

    footer .copy {
        text-align: center;
        display: block;
        color: #dee0d7;
    }
    
    footer .copy small {
        width: auto;
        font-size: 12px;
    }
    
    footer .copy::before {
        content: none;
    }

}

.to-top {
    width: 38px;
    line-height: 38px;
    text-align: center;
    position: fixed;
    right:10px;
    bottom:20px;
    z-index: 2;
}

.to-top a {
    display: block;
    width: 100%;
    height: 100%;
    background-color: #000;
    border-radius: 20px;
    font-size: 0;
    color: transparent;
    position: relative;
}

.to-top a::after{
    content: ">";
    font-size: 32px;
    line-height: 1;
    color: #dee0d7;
    display: block;
    position: absolute;
    top:-3px;
    left: 24%;
    transform: rotate(-90deg) translateX(-50%);
    transition: .3s;
}

.to-top a:hover::after{
    color: #89dd00;
    top:-5px;
}

#loading-screen {
    position: fixed;
    inset: 0;
    background-color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap:30px;
    align-items: center;
    z-index: 9999;
    transition: opacity 0.5s ease;
  }
  
  /* ローディングのスピナー */
  .spinner {
    width: 60px;
    height: 60px;
    background: url(../images/loadspinner.png) center center / 100%;
    animation: spin 1.5s linear infinite;
  }
  
  @keyframes spin {
    to {
      transform: rotate(360deg);
    }
  }